Package com.mckoi.database

## Class TableModificationEvent

- java.lang.Object
- - com.mckoi.database.TableModificationEvent

    public class TableModificationEvent
    extends java.lang.Object

The event information of when a table is modified inside a transaction.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `AFTER` Event that occurs after the action
`static int` `AFTER_DELETE` Event for after a delete.
`static int` `AFTER_INSERT` Event for after an insert.
`static int` `AFTER_UPDATE` Event for after an update.
`static int` `BEFORE` Event that occurs before the action
`static int` `BEFORE_DELETE` Event for before a delete.
`static int` `BEFORE_INSERT` Event for before an insert.
`static int` `BEFORE_UPDATE` Event for before an update.
`static int` `DELETE` Event type for delete action.
`static int` `INSERT` Event type for insert action.
`static int` `UPDATE` Event type for update action.

### Method Summary

All Methods Instance Methods Concrete Methods
`DatabaseConnection` `getDatabaseConnection()` Returns the DatabaseConnection that this event fired in.
`RowData` `getRowData()` Returns the RowData object that represents the change that is being made to the table either by an INSERT or UPDATE.
`int` `getRowIndex()` Returns the index of the row in the table that was affected by this event or -1 if event type is INSERT.
`TableName` `getTableName()` Returns the name of the table of this modification.
`int` `getType()` Returns the event type.
`boolean` `isAfter()` Returns true if this is a AFTER event.
`boolean` `isBefore()` Returns true if this is a BEFORE event.
`boolean` `isDelete()` Returns true if this is an DELETE event.
`boolean` `isInsert()` Returns true if this is an INSERT event.
`boolean` `isUpdate()` Returns true if this is an UPDATE event.
`boolean` `listenedBy​(int listen_t)` Returns true if the given listener type should be notified of this type of table modification event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BEFORE

    public static final int BEFORE

Event that occurs before the action

See Also:
  Constant Field Values

#### AFTER

    public static final int AFTER

Event that occurs after the action

See Also:
  Constant Field Values

#### INSERT

    public static final int INSERT

Event type for insert action.

See Also:
  Constant Field Values

#### UPDATE

    public static final int UPDATE

Event type for update action.

See Also:
  Constant Field Values

#### DELETE

    public static final int DELETE

Event type for delete action.

See Also:
  Constant Field Values

#### BEFORE_INSERT

    public static final int BEFORE_INSERT

Event for before an insert.

See Also:
  Constant Field Values

#### AFTER_INSERT

    public static final int AFTER_INSERT

Event for after an insert.

See Also:
  Constant Field Values

#### BEFORE_UPDATE

    public static final int BEFORE_UPDATE

Event for before an update.

See Also:
  Constant Field Values

#### AFTER_UPDATE

    public static final int AFTER_UPDATE

Event for after an update.

See Also:
  Constant Field Values

#### BEFORE_DELETE

    public static final int BEFORE_DELETE

Event for before a delete.

See Also:
  Constant Field Values

#### AFTER_DELETE

    public static final int AFTER_DELETE

Event for after a delete.

See Also:
  Constant Field Values

### Method Detail

#### getDatabaseConnection

    public DatabaseConnection getDatabaseConnection()

Returns the DatabaseConnection that this event fired in.

#### getType

    public int getType()

Returns the event type.

#### isBefore

    public boolean isBefore()

Returns true if this is a BEFORE event.

#### isAfter

    public boolean isAfter()

Returns true if this is a AFTER event.

#### isInsert

    public boolean isInsert()

Returns true if this is an INSERT event.

#### isUpdate

    public boolean isUpdate()

Returns true if this is an UPDATE event.

#### isDelete

    public boolean isDelete()

Returns true if this is an DELETE event.

#### getTableName

    public TableName getTableName()

Returns the name of the table of this modification.

#### getRowIndex

    public int getRowIndex()

Returns the index of the row in the table that was affected by this event or -1 if event type is INSERT.

#### getRowData

    public RowData getRowData()

Returns the RowData object that represents the change that is being made to the table either by an INSERT or UPDATE. For a DELETE event this return null.

#### listenedBy

    public boolean listenedBy​(int listen_t)

Returns true if the given listener type should be notified of this type of table modification event. For example, if this is a BEFORE event then the BEFORE bit on the given type must be set and if this is an INSERT event then the INSERT bit on the given type must be set.